# Blackrug
A Markdown preparser to sweep comments under the rug.

Blackrug is this groundbreaking parser that allows you to sweep markdown under the rug by wrapping it by `<!---Blackrug--->`. Typical markdown parser will render the blackrugged elements.

## Installation

Install via: 

```console
gem install blackrug
```

Then start using it:

```ruby
require 'blackrug'
```

## Examples

You can use `Blackrug.sweep` or `Blackrug.🧹` to sweep elements under the rug

```
Blackrug.sweep('wow this is <!---Blackrug--->so not <!---Blackrug--->cool!')
=> "wow this is cool!"
```
